=head1 NAME

nbackup - Physical backup manager for Firebird

=head1 SYNOPSIS

=over

=item B<nbackup> -L|-U|-F I<database> I<common options>

=item B<nbackup> -B I<level> I<database> [I<file>] I<common options>

=item B<nbackup> -R I<database> [I<file0> [I<file1>...]] I<common options>

=back

=head1 DESCRIPTION

B<nbackup> allows making incremental backups of firebird databases. It also
allows database files to be locked for copying with OS tools like
L<cp(1)>

=head1 OPTIONS

=over

=item B<-L> I<database>

Locks I<database> for filesystem copy.

=item B<-U> I<database>

Unlocks previously locked database.

=item B<-F> I<database>

Fixup I<database> after filesystem copy.

=item B<-B> I<level> I<database> [I<filename>]

Create incremental backup of level I<level>. Level 0 means full backup. Level
I<N> includes all the changes since the last backup of level I<N>.

=item B<-R> I<database> [I<file0> [I<file1>...]]

Restore incremental backup. I<file0> is the level 0 backup, I<file1> is the
level 1 backup and so on.

=back

=head1 COMMON OPTIONS

=over

=item B<-U> I<user>

User name for connecting to the firebird server.

=item B<-P> I<password>

Password for connecting to the firebird server.

=back

=head1 SEE ALSO

L<gbak(1)>


Additional documentation about B<nbackup> and other Firebird utilities can be
found on the Firebird Project website, L<http://www.firebirdsql.org>.

=head1 AUTHOR

Original idea is of Sean Leyne L<sean@broadviewsoftware.com>.  Designed and
implemented by Nickolay Samofatov L<skidder@bssys.com>.  This work was funded
through a grant from BroadView Software, Inc.

This manual page was written by Damyan Ivanov L<dmn@debian.org> for the Debian
project. Permission is granted to use this document, with or without
modifications, provided that this notice is retained. If we meet some day, and
you think this stuff is worth it, you can buy me a beer in return.
